Skip to main content
PUT
/
api
/
v1
/
rules
UpdateRule
curl --request PUT \
  --url https://api.siftstack.com/api/v1/rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "conditions": [
    {
      "expression": {},
      "actions": [
        {
          "actionType": "ACTION_KIND_UNSPECIFIED",
          "configuration": {},
          "ruleActionId": "<string>"
        }
      ],
      "ruleConditionId": "<string>"
    }
  ],
  "metadata": [
    {
      "key": {
        "name": "<string>",
        "type": "METADATA_KEY_TYPE_UNSPECIFIED",
        "archivedDate": "2023-11-07T05:31:56Z"
      },
      "stringValue": "<string>",
      "numberValue": 123,
      "booleanValue": true,
      "archivedDate": "2023-11-07T05:31:56Z"
    }
  ],
  "ruleId": "<string>",
  "assetId": "<string>",
  "isEnabled": true,
  "organizationId": "<string>",
  "versionNotes": "<string>",
  "clientKey": "<string>",
  "assetConfiguration": {
    "assetIds": [
      "<string>"
    ],
    "tagIds": [
      "<string>"
    ]
  },
  "isExternal": true
}
'
{
  "ruleId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

UpdateRuleRequest is used to create or update a rule. If the rule_id or client_key is provided, the rule will be updated. If not, a new rule will be created.

UpdateRuleRequest is used to create or update a rule. If the rule_id or client_key is provided, the rule will be updated. If not, a new rule will be created.

name
string
required
description
string
required
conditions
object[]
required
metadata
object[]
required
ruleId
string
assetId
string

Deprecated - use asset_configuration instead.

isEnabled
boolean

Deprecated - use DeleteRule instead.

organizationId
string
versionNotes
string
clientKey
string
assetConfiguration
object
contextualChannels
object
isExternal
boolean

Response

A successful response.

ruleId
string
required